/*
 * ws2812.h
 *
 *  Created on: 2021年12月30日
 *      Author: User
 */

#ifndef SRC_WS2812_H_
#define SRC_WS2812_H_

#include "config.h"

#define WS2812B_RED    0x3F0000  // 0xFF0000    //红
#define WS2812B_ORANGE 0x3F1F00  // 0xFF3F00    //橙
#define WS2812B_YELLOW 0x3F3F00  // 0xFFFF00    //黄
#define WS2812B_GREEN  0x003F00  // 0x00FF00    //绿
#define WS2812B_CYAN   0x003F3F  // 0x00FFFF    //青
#define WS2812B_BLUE   0x00003F  // 0x0000FF    //蓝
#define WS2812B_PURPLE 0x3F003F  // 0xFF00FF    //紫
#define WS2812B_WHITE  0x3F3F3F  // 0xFFFFFF    //白
#define WS2812B_OFF    0x000000  // 关闭

#define WS2812B_DATA   PIN_LED

#define MAX_LED_COUNT  4

void ws2812ShowLeds(u32 *led, u8 count);

#endif /* SRC_WS2812_H_ */
